Get Captures
Returns all or specific captured payments of the order
Path
GET /api/v3/orders/{orderNumber}/captures/{captureNumber} Request Parameters
orderNumber
required
string
Order number
captureNumber
required
string
Capture number
Responses
-
arrayCollection of capturesreservationIdstringReservation ID.customerNumberstringMax length: 100Customer number.captureNumberstringMax length: 50Capture number.orderNumberstringMax length: 50Order number.amountnumberShows the original invoice amount.balancenumberShows the remaining amount due on the invoice.totalRefundedAmountnumberTotal refunded amount.currencystringEnum:
- EUR
- NOK
- SEK
- DKK
- CHF
CurrencyinsertedAtstringyyyy-MM-ddTHH:mm:ss.fffffffzzzIndicates the capture creation time.updatedAtstringyyyy-MM-ddTHH:mm:ss.fffffffzzzIndicates the time when the capture was last updated.directDebitBankAccountstringMax length: 34Direct debit bank account.directDebitSwiftstringMax length: 11Direct debit swift.accountProfileNumberintegerAccount profile number.numberOfInstallmentsintegerNumber of installments.installmentAmountnumberInstallment amount.contractDatestringyyyy-MM-ddTHH:mm:ss.fffffffzzzContract date.orderDatestringyyyy-MM-ddTHH:mm:ss.fffffffzzzOrder date.installmentProfileNumberintegerInstallment profile number.parentTransactionReferencestringMax length: 128A unique reference provided to Riverty by a third party (merchant or Payment Service Provider). Identifies an entire order.transactionReferencestringMax length: 100A unique reference for each transaction (separate for transactions within an order), generated and provided to Riverty by a third party (merchant or Payment Service Provider). It is used to identify transactions during back-end settlement between Core systems and the PSP.dueDatestringyyyy-MM-ddTHH:mm:ss.fffffffzzzDue date.invoiceDatestringyyyy-MM-ddTHH:mm:ss.fffffffzzzInvoice date.yourReferencestringMax length: 128Can be used by purchasing company if they would like to provide internal referenceourReferencestringMax length: 128Can be used by selling company if they would like to provide specific reference for purchasing company.invoiceProfileNumberintegerInvoice profile number.ocrstringMax length: 27OCR (Optical Character Recognition) number bound to this capture.installmentCustomerInterestRatenumberInstallment customer interest rate.imageUrlstringMax length: 2048URL for the image of this product. It will be turned into a thumbnail and displayed in Riverty, on the invoice line next to the order item. The linked image must be a rectangle or square, width between 100 pixels and 1280 pixels. Supported image formats are: gif, jpeg (jpg), png, webp.productUserstringMax length: 50Product User.costCenterstringMax length: 50Used for B2B to specify the costCenter e.g. Marketing or Sales Department - Displayed on the invoice.arrayCapture items.productIdrequiredstringMax length: 100Merchant Product identification number.groupIdstringMax length: 255Item group ID. The group this item belongs to. Provided by the merchant. Everything over 255 characters will be truncated.descriptionrequiredstringProduct name. For example "Black music player 64GB". Everything over 255 characters will be truncated.typestringEnum:- PhysicalArticle
- DigitalArticle
- GiftCard
- Discount
- ShippingFee
- Surcharge
- Info
- Subscription
netUnitPricerequirednumberNet unit price.grossUnitPricerequirednumberGross price per item.quantityrequirednumberQuantity. Use of integer is strongly proposed. If you want to use decimal, please contact your integration manager.unitCodestringMax length: 50Unit code (for example pieces, liters, kilograms, etc.).vatCategorystringEnum:- HighCategory
- LowCategory
- NullCategory
- NoCategory
- MiddleCategory
- OtherCategory
Vat categoryvatPercentrequirednumberTax percent.vatAmountrequirednumberTax amount per item.imageUrlstringMax length: 2048URL for the image of this product. It will be turned into a thumbnail and displayed in Riverty, on the invoice line next to the order item. The linked image must be a rectangle or square, width between 100 pixels and 1280 pixels. Supported image formats are: gif, jpeg (jpg), png, webp.googleProductCategoryIdintegerGoogle product category ID.googleProductCategorystringMax length: 255Indicates the category of the item based on the Google product taxonomy. Categorizing the product helps ensure that the ad is shown with the right search results.merchantProductTypestringMax length: 255Categorization used by Merchant as a complement to Google Taxonomy.lineNumberintegerLine number. The merchant may add a line number to each order item, to sort them in a particular order.productUrlstringMax length: 2048URL to the product.marketPlaceSellerIdstringMax length: 32ID of an individual seller on a marketplace. If this field is used, an entry in the element additionalData -> marketplace must also be provided.parentTransactionReferencestringMax length: 128A unique reference provided to Riverty by a third party (merchant or Payment Service Provider). Identifies an entire order.additionalInformationstringMax length: 4096Extended description of the order item.specificationobjectSpecification.serviceStartstringyyyy-MM-ddTHH:mm:ss.fffffffzzzCapture start time.serviceEndstringyyyy-MM-ddTHH:mm:ss.fffffffzzzCapture end time.arrayShipping details.shippingNumberrequiredintegerUnique shipping number within one capturetyperequiredstringEnum:- Shipment
- Return
shippingCompanyrequiredstringMax length: 200Company name providing shippingtrackingIdrequiredstringMax length: 100Tracking IDtrackingUrlstringMax length: 2083Webpage URL to track shipping status -
typestringEnum:
- BusinessError
- TechnicalError
- NotificationMessage
codestringMax length: 100Confirmation or error codemessagestringMax length: 4096Message contentcustomerFacingMessagestringMax length: 4096Message to display to customeractionCodestringEnum:- Unavailable
- AskConsumerToConfirm
- AskConsumerToReEnterData
- OfferSecurePaymentMethods
- RequiresSsn
- AskConsumerToIdentify
- ManualReview
Action codesfieldReferencestringMax length: 100Reference to field that caused an error -
-
-
-
Request Example
null
Response Example
{
"captures": [
{
"amount": 185,
"balance": 0,
"currency": "EUR",
"orderDate": "2023-09-27T10:49:11Z",
"updatedAt": "2023-09-27T12:24:53Z",
"insertedAt": "2023-09-27T10:50:32Z",
"orderNumber": "riverty1",
"captureItems": [
{
"groupId": "",
"imageUrl": "https://developer-sandbox.riverty.com/images/black_leather_jacket.jpg",
"quantity": 1,
"productId": "4534-BLK-M",
"vatAmount": 16,
"vatPercent": 19,
"description": "Leather jacket, Black, size M",
"netUnitPrice": 84,
"grossUnitPrice": 100
},
{
"groupId": "",
"imageUrl": "https://developer-sandbox.riverty.com/images/grey_socks.jpg",
"quantity": 5,
"productId": "5745-GRY-M",
"vatAmount": 1.6,
"vatPercent": 19,
"description": "Socks, Grey, Size M",
"netUnitPrice": 8.4,
"grossUnitPrice": 10
},
{
"groupId": "",
"imageUrl": "https://developer-sandbox.riverty.com/images/brown_wool_hat.jpg",
"quantity": 1,
"productId": "3323-BRN-M",
"vatAmount": 4.79,
"vatPercent": 19,
"description": "Woolen hat, brown, Size M",
"netUnitPrice": 25.21,
"grossUnitPrice": 30
},
{
"type": "ShippingFee",
"groupId": "",
"quantity": 1,
"productId": "SHIP",
"vatAmount": 0.8,
"vatPercent": 19,
"description": "Shipping",
"netUnitPrice": 4.2,
"grossUnitPrice": 5
}
],
"captureNumber": "800090089",
"reservationId": "fb583567-c5a1-45de-a341-289c75e3f3dd",
"customerNumber": "AP000100919",
"totalRefundedAmount": 185
}
]
}